import request from '@/utils/request'

// 获取权限列表
export function getCar(parameter) {
  return request({
    url: '/api/car-info',
    method: 'get',
    params: parameter
  })
}

// 获取权限详情
export function getCarDetails(parameter) {
  return request({
    url: '/api/car-info/' + parameter,
    method: 'get',
  })
}

// 添加角色权限
export function addCar(parameter) {
  return request({
    url: '/api/car-info',
    method: 'post',
    data: parameter
  })
}

// 编辑角色权限
export function putCar(parameter) {
  return request({
    url: '/api/car-info',
    method: 'put',
    data: parameter
  })
}

// 删除权限
export function delCar(parameter) {
  return request({
    url: '/api/car-info',
    method: 'delete',
    data: parameter
  })
}
// 绑定货车司机
export function bindTruckUser(parameter) {
  return request({
    url: '/api/car-info/bind-truck-user',
    method: 'post',
    data: parameter
  })
}
